function Add-KempLBSubVS {
    param(
    # The IP Address to the virtual server
    [Parameter(Mandatory=$true,ValueFromPipelineByPropertyName=$true)]
    [Alias("VSAddress")]
    [string]
    $IP,
    # The port of the virtual server 
    [Parameter(Mandatory=$true,ValueFromPipelineByPropertyName=$true)]
    [Alias("VSPort")]
    [int]
    $Port,

    # The protocol of the virtual server
    [Parameter(Mandatory=$true,ValueFromPipelineByPropertyName=$true)]
    [Alias("VSProt")]
    [string]
    $Protocol,
    # Number of SubVS to create       
    [string]
    $Number=1,
     # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )
    
    Process {
        #region Invoke REST Api
        1..$Number | 
            ForEach {
                Invoke-KempLoadMaster -Command modvs -Parameter @{
                    VS   = $IP
                    port = $Port
                    prot = $Protocol
                    createSubVS = $null
                } -InputObject $VSOptions -ASTypeName KempLBVS
            }
        #endregion Invoke REST Api
    }
}
