function Disable-KempLBRealServer {
    <#
    .Synopsis
        Disables a real server in LoadMaster
    .Description
        Disables a real server in Kemp LoadMaster
    .Example
        Disable-KempLBRealServer -IPAddress 172.20.1.1
    .Link
        Enable-KempLBRealServer
    #>

    [OutputType([PSObject])]
    Param(
    # The IP Address of the real server    
    [Parameter(Position=0,Mandatory=$true, ValueFromPipelineByPropertyName=$true)]
    [string]$IPAddress,

    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )

    process {
        #region Execute REST API
        Invoke-KempLoadMaster "disablers" -Parameter  @{
            RS = $ipAddress        
        } -AsXml:$AsXML 
        #endregion Execute REST API
    }    
}