function Enable-KempLBRealServer{
    <#
    .Synopsis
        Enables a Real Server
    .Description
        Enables a Real Server in Kemp LoadMaster
    .Example
        Enable-KempLBRealServer -IPAddress 172.20.1.1
    .Link
        Disable-KempLBRealServer
    #>
    [OutputType([PSObject], [xml])]
    Param(    
    # The IP address of the real server
    [Parameter(Position=0,Mandatory=$true)]
    [string]$IPAddress,    
    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )

    process {
        #region Execute REST API
        Invoke-KempLoadMaster "enablers" -Parameter  @{
            RS = $ipAddress        
        } -AsXml:$AsXML 
        #endregion Execute REST API
    }    
}