function Get-KempLBAdaptiveCheck {
    <#
    .Synopsis
        Gets LoadMaster adapative checks
    .Description
        Gets adaptive checks registeredd on a Kemp LoadMaster
    .Example
        Get-KempLBAdaptiveCheck
    .Link
        Get-KempLBVersion
    #>

    [OutputType([PSObject])]
    param(        
    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )

    process {
        #region Execute REST api
        Invoke-KempLoadMaster "showadaptive" -AsXml:$AsXML 
        #endregion Execute REST api
    }
}