function Get-KempLBServiceHealth {
    <#
    .Synopsis
        Gets the Service Health of a LoadMaster
    .Description
        Gets Service Health statistics from a Kemp LoadMaster
    .Example
        Get-KempLBServiceHealth
    .Link
        Get-KempLBVersion
    #>

    [OutputType([PSObject])]
    param(        
    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )

    Process {
        #region Execute REST API
        Invoke-KempLoadMaster "showhealth" -asXml:$asXml                
        #endregion Execute REST API
    }

}