function Get-KempLBStatistic {
    <#
    .Synopsis
        Gets load balancing statics from a LoadMaster
    .Description
        Gets load balancing statics from a Kemp LoadMaster        
    .Link
        Get-KempLBVirtualService
    .Example
        Get-KempLBStatistic
        
    #>
    [OutputType([PSObject], [XML])]
    param(        
    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )

    process {
        #region Execute REST API
        Invoke-KempLoadMaster "stats" -asXml:$asXml        
        #endregion Execute REST API
    }
}