function Get-KempLBVersion {
    <#
    .Synopsis
        Gets the version of a Kemp LoadMaster
    .Description
        Gets version information about a Kemp LoadMaster
    .Example
        Get-KempLBVersion    
    .Link
        Add-KempLoadMaster
    .Link
        Get-KempLoadMaster    
    #>
    [OutputType([PSObject], [xml])]
    param(
    
    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    ) 

    process {
    #region Execute REST Command

    Invoke-KempLoadMaster "get" -Parameter @{
        param = 'version'
    } -AsXml:$AsXML 
    #endregion Execute REST Command
    }

<#    $uri=Get-KempLBUri "get?param=version"

    $r = Send-KempLBMessage $uri

    if($AsXML) { return $r}

    $xml=[xml]$r

    if($xml.Response.stat -eq 200) {
        $xml.Response.Success.Data.Version
    } else {
        $xml.Response.Error
    }
#>
}