function Get-KempLBVirtualService {
    <#
    .Synopsis
        Lists all Virtual Services on the LoadMaster
    .Description
        lists all Virtual Services on a Kemp LoadMaster
    .Example
        Get-KempLBVirtualService
    .Link
        Add-KempLBVirtualService
    .Link
        Remove-KempLBVirtualService
    .Link
        Show-KempLBVirtualService
    .Link
        Update-KempLBVirtualService
    #>
    [OutputType([PSObject])]
    param(
    
    # Specifies an IP address to search for. You can use a regex
    [string]$Address,

    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )

    process {
        #region Invoke REST Api
        Invoke-KempLoadMaster "listvs" -asXml:$asXml -Parameter $parameters -DataPath "Response", "Success", "Data", "VS" -ASTypeName KempLBVS |
            Where {$_.VSAddress -match $address}
        #endregion Invoke REST Api
    }
}