function Get-KempLBSubVS {
    <#
    .Synopsis
        Lists all SubVS on the LoadMaster
    .Description
        lists all SubVS on a Kemp LoadMaster
    .Example
        Get-KempLBSubVS
    .Link
        Add-KempLBSubVS
    .Link
        Remove-KempLBSubVS
    .Link
        Update-KempLBSubVS
    #>
    [OutputType([PSObject])]
    param(    
    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Alias("Index")]
    $RootVsIndex,
    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )

    Process {
        #region Invoke REST Api                
        $result = foreach($vs in Get-KempLBVirtualService) {        
                if($vs.subvs) {
                    $vs.subvs | 
                        Add-Member -PassThru -MemberType NoteProperty RootVSIndex $vs.Index
                }
            }

        if($RootVsIndex) {
            return $result | Where {$_.RootVSIndex -eq $RootVsIndex}
        }

        $result 
        #endregion Invoke REST Api
    }
}