function Add-Kemp.LBVIPMember
{
    [System.Management.Instrumentation.ManagedNameAttribute("DataCenterManager.LB.AddLBVIPMember")]
    [OutputType([Microsoft.SystemCenter.DataCenterManager.LB.LBVIPMember])]    
    PARAM (
        [CmdletBinding()]

        [Parameter(Mandatory=$true)]
        [Microsoft.SystemCenter.DataCenterManager.LB.LBConnection] $Connection,

        [Parameter(Mandatory=$true)]
        [Microsoft.SystemCenter.DataCenterManager.LB.LBVIP] $VIP,
 
        [Parameter(Mandatory=$true)]
        [Microsoft.SystemCenter.DataCenterManager.LB.LBVIPMember] $VIPMember
    )
    
    Add-KempLoadmaster -Port $Connection.DevicePort -IP $Connection.DeviceName -Credential $Connection.Credential
    Use-KempLoadMaster -IP $Connection.DeviceName | Out-Null
   
    $rsParams = @{
        IP       = $VIP.IPAddress
        Port     = $VIP.Port
        Protocol = $VIP.Protocol.Name
        Rs       = $VIPMember.Address
        Rsport   = $VIPMember.Port
    }

    Add-KempLBRealServer @rsParams | Out-Null

    $VIP.Member = $VIPMember

    $VIPMember
}