function Remove-KempLBRule {
    <#
    .Synopsis
        A Quick Description of what the command does
    .Description
        A Detailed Description of what the command does
    .Example
        Remove-KempLBRule testRule
    .Link
        Add-KempLBRuleToRS
    .Link
        Add-KempLBRuleToVS
    .Link
        Get-KempLBRule
    .Link
        New-KempLBRule
    .Link
        Remove-KempLBRuleFromRS
    .Link
        Update-KempLBRule
    #>

    [CmdletBinding(SupportsShouldProcess=$true,ConfirmImpact='High')]
    [OutputType([Nullable])]
    param(
    # The name of the rule
    [Parameter(Mandatory=$true,ValueFromPipelineByPropertyName=$true)]
    [string]$Name,
        
    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )

    Process {

        if($PSCmdlet.ShouldProcess("$($name)")) {

            #region Invoke REST Api
            [void]$PSBoundParameters.Remove("AsXml")

            $parameters = @{} + $PSBoundParameters

            Invoke-KempLoadMaster "delrule" -asXml:$asXml -Parameter $parameters 
            #endregion Invoke REST Api
        }
    }
}