cls

function Test-IsVariableEligible {
    param(
        $Tokens,
        [int]$Idx
    )

    [System.Management.Automation.PSToken]$currentToken  = $Tokens[$Idx]
    [System.Management.Automation.PSToken]$previousToken = $Tokens[$Idx-1]
    [System.Management.Automation.PSToken]$nextToken     = $Tokens[$Idx+1]

    if($currentToken.Content -eq '_') {return $false}
    if(
        $previousToken.Type -eq 'NewLine' -and 
        $currentToken.Type -eq 'Variable' -and 
        $nextToken.Type -ne 'Operator'
       ) {
        return $true
    }

    return $false
}

function Write-KempTemplate  {
    param(
    [string]$FunctionName, 
    [Scriptblock]$Scriptblock
    )

    $tokens=[System.Management.Automation.PSParser]::Tokenize($Scriptblock, [ref]$null)

    $tokenCount = $tokens.Count
    $Position=0
    $parameters = @(for ($idx = 1; $idx -lt $tokenCount; $idx+=1)
    {
        $currentToken = $tokens[$idx]
     
        if(Test-IsVariableEligible $tokens $idx ) {
@"
`t[Parameter(Mandatory=`$true)]
`t`$$($currentToken.Content),

"@
            $Position+=1
        }
    })

    if($parameters.count -gt 0) {
        # Adjust for the last comma
        $lastParam = $parameters[-1]
        $parameters[-1]=$lastParam.Substring(0,$lastParam.Trim().Length)
    }
@"
function $($FunctionName) {
    param(
$($parameters)
`t)

    Process {
        $($Scriptblock)
    }
}

"@
}

Write-KempTemplate Invoke-ExchangeTemplate {

    $firstIP
    $SecondIP
    $ThirdIP
    $Port
    $Protocol

    $CSVPath=$a

    gc $CSVPath | % {
        $f=$_ 
    }
}