function Update-KempLBAdaptiveCheck {
    <#
    .Synopsis
        Update LoadMaster adapative checks
    .Description
        Update adaptive checks on a Kemp LoadMaster
    .Example
        Get-KempLBAdaptiveCheck
    .Link
        Get-KempLBVersion
    #>

    [OutputType([PSObject])]
    param(        
    # If set, 
    [string]
    $AdaptiveURL,
    # If set, 
    [Int32]
    $AdaptivePort,
    # If set, 
    [Int32]
    $AdaptiveInterval,
    # If set, 
    [Int16]
    $MinPercent,
    # If set, XML will be directly returned from the REST API
    [Parameter(ValueFromPipelineByPropertyName=$true)]
    [Switch]$AsXML
    )

    process {
        
        #region Execute REST api
        
        [void]$PSBoundParameters.Remove("AsXml")

        $parameters = @{} + $PSBoundParameters

        Invoke-KempLoadMaster "modadaptive" -Parameter $parameters -AsXML:$AsXML

        #endregion Execute REST api
    }
}