Import-Module ..\KempLB.psm1 -Force

. .\ConnectionConfiguration.ps1

$ip       = "192.168.0.17"
$protocol = "tcp"
$port     = 80
$rsport   = 81

"Adding VirtualService, RealServer"
Add-KempLBVirtualService -ip $ip -protocol $protocol -port $port |
    Add-KempLBRealServer -rs $ip -rsport $rsport

write-host -NoNewline "Disabling RealServer"
" - " + (Disable-KempLBRealServer $ip)

write-host -NoNewline "Enabling RealServer"
" - " + (Enable-KempLBRealServer $ip)

"Preparing to remove virtual service"
$count = (Get-KempLBStatistic).VirtualService.Count
while($count -eq 0) {
    $count = (Get-KempLBStatistic).VirtualService.Count
    sleep -Milliseconds 250
}

write-host -NoNewline "Removing virtual service"
" - " + ((Get-KempLBStatistic).VirtualService|Remove-KempLBVirtualService)
