Import-Module ..\KempLB.psm1 -Force

function DoClean {
    Get-KempLBRule | Remove-KempLBRule
    Get-KempLBVirtualService | Remove-KempLBVirtualService
}

. .\ConnectionConfiguration.ps1

$ip="192.168.0.17"
$protocol="tcp"

$vsport=80
$rsport=$vsport+1

"Creating a Rule"
New-KempLBRule xrule1 pX | Out-Null

""
"Creating a VS & RS"
Add-KempLBVirtualService -ip $ip -port $vsport -protocol $protocol |
    Add-KempLBRealServer -rs $ip -rsport $rsport

Get-KempLBVirtualService | Add-KempLBRuleToRS -rs $ip -rsport $rsport -rule xrule1

""
"Was the rule added to the RS? {0}" -f ((Get-KempLBVirtualService).rs.matchrules.name -eq "xrule1")

Get-KempLBVirtualService | Remove-KempLBRuleFromRS -rs $ip -rsport $rsport -rule xrule1

""
"Was the rule removed from the RS? {0}" -f ((Get-KempLBVirtualService).rs.matchrules.name -eq $null)

""
"Cleaning up rules, vs and rs"
""
DoClean