Import-Module ..\KempLB.psm1 -Force

. .\ConnectionConfiguration.ps1

$ip="192.168.0.17"
$protocol="tcp"

Write-Host "Creating Services and Servers"

80..85 | % { Add-KempLBVirtualService -ip $ip -protocol $protocol -port $_ |Out-Null}

Get-KempLBVirtualService | % {$rsport=100} { $_ | Add-KempLBRealServer -rs $ip -rsport ($rsport++) }

$count = (Get-KempLBStatistic).VirtualService.Count

Write-Host "Checking for statistics"

While ($Count -eq 0) {
    $count = (Get-KempLBStatistic).VirtualService.Count
    sleep -Milliseconds 250
}

$stats=Get-KempLBStatistic

"`r`nTotals"
$stats.Totals | Out-String

"Virtual Service"
$stats.VirtualService | ft -a | Out-String

"Real Server"
$stats.RealServer | ft -a | Out-String