Import-Module ..\KempLB.psm1 -Force

. .\ConnectionConfiguration.ps1

$ip       = "192.168.0.17"
$protocol = "tcp"

$VScsv = @"
VSAddress,VSPort,VSProt
$ip,80,tcp
$ip,81,tcp
$ip,82,tcp
$ip,83,tcp
$ip,84,tcp
$ip,85,udp
"@ | ConvertFrom-Csv

$RuleCSV = @"
Name,Pattern
xrule1,p1
xrule2,p2
xrule3,p3
xrule4,p4
xrule5,p5
"@ | ConvertFrom-Csv

"Adding Rules"
$RuleCSV | New-KempLBRule | Out-Null
"Adding VS"
$VScsv | Add-KempLBVirtualService | Out-Null

"Adding xrule1 to all vs"
Get-KempLBVirtualService | Add-KempLBRuleToVS xrule1

"Adding xrule2 to all vs"
Get-KempLBVirtualService | Add-KempLBRuleToVS xrule2

"Adding xrule3, rule4 to all vs"
Get-KempLBVirtualService | Add-KempLBRuleToVS xrule3,xrule4,xrule1

"Adding xrule5 to only 1 VS"
Add-KempLBRuleToVS -Name xrule5 -ip $ip -port 80 -protocol tcp

"Removing VS"
Get-KempLBVirtualService | Remove-KempLBVirtualService | Out-Null

"Removing Rules"
Get-KempLBRule | Remove-KempLBRule | Out-Null